Package org.eclipse.e4.ui.services

## Interface IServiceConstants

    public interface IServiceConstants

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

Fields
`static String` `ACTIVE_CONTEXTS` The set of the contexts that are currently active.
`static String` `ACTIVE_PART` The part active in a given context.
`static String` `ACTIVE_SELECTION` The current selection
`static String` `ACTIVE_SHELL` The currently active Shell.
`static String` `SELECTION` Deprecated.

### Field Detail

#### ACTIVE_SELECTION

    static final String ACTIVE_SELECTION

The current selection

This value can be `null` if there is no selection

See Also:
  Constant Field Values

#### SELECTION

    @Deprecated
    static final String SELECTION

Deprecated.
Due to the possibly misleading nature of this field's name, it has been replaced with `ACTIVE_SELECTION`. All clients of this API should change their references to `ACTIVE_SELECTION`.

See Also:
  Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

#### ACTIVE_CONTEXTS

    static final String ACTIVE_CONTEXTS

The set of the contexts that are currently active.

See Also:
  Constant Field Values

#### ACTIVE_PART

    static final String ACTIVE_PART

The part active in a given context.

This value can be `null` if there is no active part in a given context.

See Also:
  Constant Field Values

#### ACTIVE_SHELL

    static final String ACTIVE_SHELL

The currently active Shell.

See Also:
  Constant Field Values